using UnityEngine;
using System.Collections;

public class RunInCircles : MonoBehaviour {
    private float rotateSpeed = 150f;

    private float moveSpeed = 2.5f;

    private CharacterController cc;

    public Animator anim;
	// Use this for initialization
	void Start () {
        cc = GetComponent<CharacterController>();
        anim.SetFloat("speed", 1.0f);
	}
	
	// Update is called once per frame
	void Update () {

        transform.Rotate(Vector3.up, Time.deltaTime * rotateSpeed);
        cc.Move((transform.forward + Vector3.up * -4) * Time.deltaTime * moveSpeed);
	}
}
